Subject: Re: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Feb 2020 19:27:44 +0200

> From: Mike FABIAN <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Feb 2020 18:14:24 +0100
> 
> But currently I don’t seem to get a thin 1-pixel space for
> 
> Ⓜ︎ U+24C2 U+FE0E
> 
> I get a box with a 1 pixel border in the foreground colour (black) and
> this box has a total width of 6 pixels. See attached screenshot.
> 
> This looks fairly ugly is a bit too much maybe.
> 
> You get a 1-pixel space? Is special setup needed to get that or should
> I get that by default?

Sorry, I was thinking about U+200D.  You are right, the variation
selectors by default display as hex codes in a box.  But that can be
changed.  This is set up in lisp/international/characters.el, which
see.  And you can set it manually, of course, since it's just a
char-table.